# -*- coding: utf-8 -*-
from openerp import models, fields, api

class Product(models.Model):
    _inherit = 'product.template'

    # comisiones
    comision_inmobiliaria = fields.Float(string="Inmobiliaria (%)")
    comision_vendedor = fields.Float(string="Vendedor (%)")
    comision_propietario = fields.Float(string="Propietario (%)")
    comision_total = fields.Float(string="Total (%)", compute="_get_total_comision", store=True)
    # datos del terreno t
    t_propietario = fields.Many2one("res.partner", string="Propietario")
    t_nro = fields.Char(string="Nº")
    t_tamanho = fields.Char(string="Tamaño")
    t_manzana = fields.Char(string="Manzana")
    t_lote = fields.Char(string="Lote")
    t_direccion = fields.Char(string="Dirección")
    t_descripcion = fields.Text(string="Descripción",default='Fracción: , Manzana: , Lote: , Cta. Cte. Ctral. Nº ,  Distrito de:  con Finca Matriz Nº: , Aprobado por Resolución Municipal Nº:  de fecha , Linderos y Dimensiones: Al Suroeste mide:  Mts. y linda con Calle Palermo Al Noroeste mide: Mts. y linda con LOTE 9 C Al Noreste mide:  Mts. y linda con LOTE 5 C Al Sureste mide:  Mts. y linda con LOTE 7 C, Superficie:  Mts.2, (Trescientos Sesenta Mts.2 y Cero Cm.2)')
    t_estado = fields.Many2one('property.state', string="Estado")


    @api.depends('comision_vendedor','comision_vendedor','comision_propietario')
    def _get_total_comision(self):
        for each in self:
            self.comision_total = self.comision_vendedor + self.comision_inmobiliaria + self.comision_propietario

class PropertyState(models.Model):
    _name = 'property.state'

    name = fields.Char(string='Nombre del estado')
    active = fields.Boolean(string="Activo", default=True)
